FLANG

Public Types | Public Member Functions | Static Public Member Functions | Protected Attributes | List of all members
fir::detail::PointerTypeStorage Struct Reference

Pointer object storage. More...

Inheritance diagram for fir::detail::PointerTypeStorage:

## Public Types
using | KeyTy = mlir::Type

## Public Member Functions
bool | operator== (const KeyTy &key) const
mlir::Type | getElementType () const

## Static Public Member Functions
static unsigned | hashKey (const KeyTy &key)
static PointerTypeStorage * | construct (mlir::TypeStorageAllocator &allocator, mlir::Type eleTy)

## Protected Attributes
mlir::Type | eleTy

## Detailed Description

Pointer object storage.

The documentation for this struct was generated from the following file:

- lib/Optimizer/Dialect/FIRType.cpp